API server
https://app.coolify.io/api/v1Replace domains for a preview deployment. Use domains for regular applications or docker_compose_domains for Docker Compose applications. Ports are stored as internal overrides while public domains remain portless.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
pull_request_id*integer
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
domains?string|null
docker_compose_domains?array<>|null
force_domain_override?boolean
Default
falseResponse Body
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/applications/string/previews/0" \ -H "Content-Type: application/json" \ -d '{}'Empty
{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}Empty
{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}